%define	name	monodoc
%define version 1.1.9
%define release 1mdk
%define mono 1.0.5
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define monodir %_prefix/lib/mono
%define monodocdir %_prefix/lib/monodoc
Summary:	MonoDoc contains the documentation for Mono
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Other
URL:		http://www.go-mono.org/download.html
Source0:	http://www.go-mono.com/sources/%name/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildArch: noarch
BuildRequires:	mono-devel

%description
MonoDoc contains the documentation for the Mono class libraries
as well as tools to produce and edit the documentation.


%prep
rm -rf %buildroot

%setup -q
mv browser/ChangeLog browser/ChangeLog.browser
mv browser/TODO browser/TODO.browser

%build

./configure --prefix=%_prefix --libdir=%_prefix/lib

# parallel make breaks netdocs.zip
make

%install
rm -rf %buildroot
%makeinstall_std pkgconfigdir=%pkgconfigdir

rm -f %buildroot%monodocdir/sources/gecko-sharp*
#cd %buildroot%_prefix/lib/%name
#for ghostfile in assembler.exe  mod.exe            monodocs2slashdoc.exe \
#monodocer.exe      normalize.exe \
#cs2ecma.exe    monodocs2html.exe  validate.exe;
#do
# touch $ghostfile.so
#done

#%post
##gw only for stupid rpmlint
#touch %monodocdir/assembler.exe.so
#touch %monodocdir/cs2ecma.exe.so
#touch %monodocdir/mod.exe.so
#touch %monodocdir/monodocer.exe.so
#touch %monodocdir/monodocs2html.exe.so
#touch %monodocdir/monodocs2slashdoc.exe.so
#touch %monodocdir/normalize.exe.so
#touch %monodocdir/validate.exe.so
#if [ -x %_bindir/mono ]; then
#for exe in assembler.exe  mod.exe            monodocs2slashdoc.exe \
#browser.exe    monodocer.exe      normalize.exe \
#cs2ecma.exe    monodocs2html.exe  validate.exe;
#do
# mono --aot -O=all,-shared %_prefix/lib/%name/$exe > /dev/null
#done
#fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README 
%doc browser/ChangeLog.browser browser/TODO.browser
%_bindir/*
%dir %monodocdir
%monodocdir/assembler.exe
%monodocdir/cs2ecma.exe
%monodocdir/mod.exe
%monodocdir/monodocer.exe
%monodocdir/monodocs2html.exe
%monodocdir/monodocs2slashdoc.exe
%monodocdir/normalize.exe
%monodocdir/validate.exe
%monodocdir/monodoc.xml
%monodocdir/sources
%monodir/monodoc/monodoc.dll
%monodir/gac/monodoc
%pkgconfigdir/monodoc.pc
#%ghost %monodocdir/assembler.exe.so
#%ghost %monodocdir/cs2ecma.exe.so
#%ghost %monodocdir/mod.exe.so
#%ghost %monodocdir/monodocer.exe.so
#%ghost %monodocdir/monodocs2html.exe.so
#%ghost %monodocdir/monodocs2slashdoc.exe.so
#%ghost %monodocdir/normalize.exe.so
#%ghost %monodocdir/validate.exe.so

%changelog
* Sat Sep 10 2005 Götz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- New release 1.1.9

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-4mdk
- remove index

* Sun Jun 19 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-3mdk
- fix buildrequires

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-2mdk
- really remove the gecko-sharp docs

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-1mdk
- remove the browser
- source URL
- New release 1.0.7

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-6mdk
- remove gecko-sharp docs (now in gecko-sharp2 package)

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-5mdk
- really fix the post script

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-4mdk
- disable aot, broken in mono 1.1.7

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-3mdk
- aot compile the executables in %%post

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-2mdk
- fix pkgconfig location

* Sat Feb 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- New release 1.0.6

* Thu Dec  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- fix source URL
- New release 1.0.4

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- make it a noarch package

* Tue Sep 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- New release 1.0.2

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- fix gac symlinks
- new version

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- rebuild for new rpm

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- new version

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.16-3mdk
- fix group

* Sat Jun  5 2004 Marcel Pol <mpol@mandrake.org 0.16-2mdk
- update (build)requires

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.16-1mdk
- requires new gtk-sharp
- new version

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15-2mdk
- rebuild

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15-1mdk
- fix file section
- requires new gtk#
- new version

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-2mdk
- generate index in post script

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-1mdk
- make short-circuit compatible
- add menu entry
- add new files to the package
- fix configure call
- fix source URL
- new version

* Mon Feb 16 2004 Marcel Pol <mpol@mandrake.org> 0.10-1mdk
- 0.10

* Mon Feb 09 2004 Marcel Pol <mpol@mandrake.org> 0.9-2mdk
- remove redundant (build)requires

* Fri Jan 16 2004 Marcel Pol <mpol@mandrake.org> 0.9-1mdk
- 0.9

* Mon Dec 29 2003 Marcel Pol <mpol@mandrake.org> 0.8-1mdk
- from Quel Qun <kelk1@hotmail.com>
    - 0.8
    - buildrequires

* Thu Sep 04 2003 Marcel Pol <mpol@gmx.net> 0.6-1mdk
- 0.6

* Wed Jun 11 2003 Marcel Pol <mpol@gmx.net> 0.4-2mdk
- requires libxslt-devel (Michael Reinsch)
- parallel make breaks netdocs.zip

* Sun Jun 08 2003 Marcel Pol <mpol@gmx.net> 0.4-1mdk
- initial Mandrake rpm.
